linux CentOS6 安装kchmviewer 6问题的解决方法

发布时间:2017-4-25 1:18:32 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"linux CentOS6 安装kchmviewer 6问题的解决方法",主要涉及到linux CentOS6 安装kchmviewer 6问题的解决方法方面的内容,对于linux CentOS6 安装kchmviewer 6问题的解决方法感兴趣的同学可以参考一下。

kchmviewer rpm下载地址:http://www.ulduzsoft.com/linux/kchmviewer/getting-kchmviewer/ ---->Download the latest version from SourceForge; kchmviewer目前的版本是6.0-1,很多人还在用Version 5的,原因很简单,版本升级之后不能用(我是用rpm安装的,编译太花时间了). 在官网上面的安装说明已经很明白了(Check that you have installed qt4-devel and chmlib-devel (or libchm-devel) packages.) ,kchmviewer 6依赖libchm-devel或者chmlib-devel,kchmviewer 5的也依赖,安装就不说了,另外kchmviewer 6还依赖qt4-devel,yum 安装就好了. 但是安装好这些依赖后发现kchmviewer打不开,原因是kchmviewer还依赖qt47 和 qt47-webkit,所以就应该解决这两个依赖. 一般安装qt47没问题,yum安装解决一切问题. 在安装qt47-webkit时,依赖qt47-x11,qt47-x11依赖(太多的依赖了,我记不清楚了)的包与系统包(图形界面核心的包)冲突,又不能升级. 解决办法如下: 下载qt47-x11的rpm包(使用压缩软件archive manager打开),以root用户将qt47-x11包中的lib下的库文件和link文件全部拷贝到/usr/lib下,如果提示需要覆盖的不覆盖就OK了(其实就只要一个库文件和它的link文件,但我忘了名字了,全部拷贝仅仅多占用点磁盘空间,想要知道是哪一个库就在安装qt47之后在命令行运行kchmviewer就知道了).完事之后发现qt47-webkit不需要安装了. (我是这样处理的,目前使用kchmviewer没发现异常),RHEL红帽的系统也一样. 上面的rpm文件可以在http://pkgs.org/上搜索.

上一篇:排列搜索
下一篇:数组排序(冒泡,选择)

相关文章

相关评论

本站评论功能暂时取消,后续此功能例行通知。

一、不得利用本站危害国家安全、泄露国家秘密,不得侵犯国家社会集体的和公民的合法权益,不得利用本站制作、复制和传播不法有害信息!

二、互相尊重,对自己的言论和行为负责。

好贷网好贷款